%define name    bttvgrab
%define version 0.15.10
%define release 7mdk

Summary: Video4Linux BTTV grab tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.garni.ch/bttvgrab/
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
bttvgrab is a program for grabbing video sequences under Linux using the
video4linux driver. Originally, it was written for bt484-based frame grabber
cards (e.g. Hauppauge WinTV, Miro PCTV ... ) and the bttv-driver from
http://www.thp-uni-koeln.de/~rjkm/linux/bttv.html, so you will get best
results when using one of them.

The goal of bttv grab is to provide high-quality grabbing suitable for
video recording. Currently, this is accomplished by trying hard not
to leave out a single frame, and to catch temporary delays by buffering
several frames. It also has synchronized sound and frame loss tracking.
The included converter bttvconvert takes care of all necessary steps to
create MPEG (1 or 2) video sequences from the grabbed frames, along with
sound conversion.

To use MPEG direct encoding features use : 
	ftp://ftp.mpeg.org/pub/mpeg/mssg/mpeg2vidcodec_v12.tar.gz.

	--- NEED TO BE TESTED ---	

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure --disable-kgrab

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin/,lib/,share/%{name}/tables/}

%makeinstall

# create link and fix tcl frontend
( cd $RPM_BUILD_ROOT%{prefix}/bin; \
  mv -f ../share/%{name}/bttvgrab.tcl ./bttvgrab_tcl; \
  chmod a+x bttvgrab_tcl; \
  perl -pi -e "s|/usr/local/bin|%{prefix}/bin||g;" bttvgrab_tcl \ 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS COPYING INSTALL README TODO WHATSNEW WWW/
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/%{name}.tcl

%changelog
* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 0.15.10-7mdk
- rebuild

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-6mdk
- rebuild

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-5mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-4mdk
- update url

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-3mdk
- rebuild

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-2mdk
- rebuild

* Thu Nov 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.15.10-1mdk
- new in contribs
- macros

* Wed Oct 11 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.15.10-1mdk (initial packaging)
  - Mandrake-specific adaptations
